WritableRpcEngine.Server (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ipc, class: WritableRpcEngine, class: Server

Package org.apache.hadoop.ipc

# Class WritableRpcEngine.Server

java.lang.Object
org.apache.hadoop.ipc.Server
org.apache.hadoop.ipc.RPC.Server
org.apache.hadoop.ipc.WritableRpcEngine.Server

Enclosing class:
  WritableRpcEngine

@Deprecated public static class WritableRpcEngine.Server extends RPC.Server
Deprecated.
An RPC Server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.ipc.Server

  `Server.AuthProtocol, Server.Call, Server.Connection`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.ipc.Server

  `AUDITLOG, LOG, rpcDetailedMetrics, rpcMetrics`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Server(Class<?> protocolClass, Object protocolImpl, Configuration conf, String bindAddress, int port)`
  Deprecated.
  Construct an RPC server.
  `Server(Class<?> protocolClass, Object protocolImpl, Configuration conf, String bindAddress, int port, int numHandlers, int numReaders, int queueSizePerHandler, boolean verbose, SecretManager<? extends TokenIdentifier> secretManager, String portRangeConfig)`
  Deprecated.
  use Server#Server(Class, Object, Configuration, String, int, int, int, int, boolean, SecretManager)
  `Server(Class<?> protocolClass, Object protocolImpl, Configuration conf, String bindAddress, int port, int numHandlers, int numReaders, int queueSizePerHandler, boolean verbose, SecretManager<? extends TokenIdentifier> secretManager, String portRangeConfig, AlignmentContext alignmentContext)`
  Deprecated.
  Construct an RPC server.
  `Server(Object instance, Configuration conf, String bindAddress, int port)`
  Deprecated.
  Use #Server(Class, Object, Configuration, String, int)
  `Server(Object protocolImpl, Configuration conf, String bindAddress, int port, int numHandlers, int numReaders, int queueSizePerHandler, boolean verbose, SecretManager<? extends TokenIdentifier> secretManager)`
  Deprecated.
  use Server#Server(Class, Object, Configuration, String, int, int, int, int, boolean, SecretManager)

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.ipc.RPC.Server

  `addProtocol, call`

  ### Methods inherited from class org.apache.hadoop.ipc.Server

  `addAuxiliaryListener, addSuppressedLoggingExceptions, addTerseExceptions, bind, bind, call, get, getAuxiliaryListenerAddresses, getAuxiliaryPortEstablishedQOP, getCallId, getCallQueueLen, getCallRetryCount, getClientId, getCurCall, getListenerAddress, getLogSlowRPCThresholdTime, getMaxIdleTime, getMaxQueueSize, getNumDroppedConnections, getNumInProcessHandler, getNumOpenConnections, getNumOpenConnectionsPerUser, getNumReaders, getPort, getPriorityLevel, getProtocol, getPurgeIntervalNanos, getRemoteAddress, getRemoteIp, getRemotePort, getRemoteUser, getRpcDetailedMetrics, getRpcInvoker, getRpcMetrics, getRpcRequestWrapper, getServerName, getServerRpcInvoker, getServiceAuthorizationManager, getTotalRequests, getTotalRequestsPerSecond, isClientBackoffEnabled, isLogSlowRPC, isRpcInvocation, isServerFailOverEnabled, isServerFailOverEnabledByQueue, join, queueCall, refreshCallQueue, refreshServiceAcl, refreshServiceAclWithLoadedConfiguration, registerProtocolEngine, setAlignmentContext, setClientBackoffEnabled, setLogSlowRPC, setLogSlowRPCThresholdTime, setSocketSendBufSize, setTracer, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Server

    @Deprecated public Server(Object instance, Configuration conf, String bindAddress, int port) throws IOException
    Deprecated.
    Use #Server(Class, Object, Configuration, String, int)
    Construct an RPC server.
    Parameters:
      `instance` - the instance whose methods will be called
      `conf` - the configuration to use
      `bindAddress` - the address to bind on to listen for connection
      `port` - the port to listen for connections on
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### Server

    public Server(Class<?> protocolClass, Object protocolImpl, Configuration conf, String bindAddress, int port) throws IOException
    Deprecated.
    Construct an RPC server.
    Parameters:
      `protocolClass` - class
      `protocolImpl` - the instance whose methods will be called
      `conf` - the configuration to use
      `bindAddress` - the address to bind on to listen for connection
      `port` - the port to listen for connections on
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### Server

    @Deprecated public Server(Object protocolImpl, Configuration conf, String bindAddress, int port, int numHandlers, int numReaders, int queueSizePerHandler, boolean verbose, SecretManager<? extends TokenIdentifier> secretManager) throws IOException
    Deprecated.
    use Server#Server(Class, Object, Configuration, String, int, int, int, int, boolean, SecretManager)
    Construct an RPC server.
    Parameters:
      `protocolImpl` - the instance whose methods will be called
      `conf` - the configuration to use
      `bindAddress` - the address to bind on to listen for connection
      `port` - the port to listen for connections on
      `numHandlers` - the number of method handler threads to run
      `verbose` - whether each call should be logged
      `numReaders` - input numberReaders.
      `queueSizePerHandler` - input queueSizePerHandler.
      `secretManager` - input secretManager.
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### Server

    @Deprecated public Server(Class<?> protocolClass, Object protocolImpl, Configuration conf, String bindAddress, int port, int numHandlers, int numReaders, int queueSizePerHandler, boolean verbose, SecretManager<? extends TokenIdentifier> secretManager, String portRangeConfig) throws IOException
    Deprecated.
    use Server#Server(Class, Object, Configuration, String, int, int, int, int, boolean, SecretManager)
    Construct an RPC server.
    Parameters:
      `protocolClass` - - the protocol being registered can be null for compatibility with old usage (see below for details)
      `protocolImpl` - the protocol impl that will be called
      `conf` - the configuration to use
      `bindAddress` - the address to bind on to listen for connection
      `port` - the port to listen for connections on
      `numHandlers` - the number of method handler threads to run
      `verbose` - whether each call should be logged
      `secretManager` - input secretManager.
      `queueSizePerHandler` - input queueSizePerHandler.
      `portRangeConfig` - input portRangeConfig.
      `numReaders` - input numReaders.
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### Server

    public Server(Class<?> protocolClass, Object protocolImpl, Configuration conf, String bindAddress, int port, int numHandlers, int numReaders, int queueSizePerHandler, boolean verbose, SecretManager<? extends TokenIdentifier> secretManager, String portRangeConfig, AlignmentContext alignmentContext) throws IOException
    Deprecated.
    Construct an RPC server.
    Parameters:
      `protocolClass` - - the protocol being registered can be null for compatibility with old usage (see below for details)
      `protocolImpl` - the protocol impl that will be called
      `conf` - the configuration to use
      `bindAddress` - the address to bind on to listen for connection
      `port` - the port to listen for connections on
      `numHandlers` - the number of method handler threads to run
      `verbose` - whether each call should be logged
      `alignmentContext` - provides server state info on client responses
      `numReaders` - input numReaders.
      `portRangeConfig` - input portRangeConfig.
      `queueSizePerHandler` - input queueSizePerHandler.
      `secretManager` - input secretManager.
    Throws:
      `IOException` - raised on errors performing I/O.